Đến nội dung


Hình ảnh

Đố vui


  • Please log in to reply
1743 replies to this topic

#41 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2884 Bài viết
Điểm đánh giá: 1556 (rất tốt)

Đã gửi 19 March 2009 - 10:20 AM

hay nhỉ, đến lệnh REG thì em bó tay ko bit bác chỉ lại cho em

REG là lệnh REG nó làm cho các đối tượng vẽ …liền thành một đối tượng cũng gần dúng lệnh PE và lệnh BO.
Đánh REG rồi chọn đối tượng rồi Enter
Bấm vào dấu thank 1 phát cho oách nào!
  • 3

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#42 duong47kg

duong47kg

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 19 March 2009 - 11:30 AM

REG là lệnh REG nó làm cho các đối tượng vẽ …liền thành một đối tượng cũng gần dúng lệnh PE và lệnh BO.
Đánh REG rồi chọn đối tượng rồi Enter
Bấm vào dấu thank 1 phát cho oách nào!



Sai rồi bạn ơi! "Reg" là lệnh biến các đối tượng đơn kín thành 1 miền(Region). Nếu không kín thì không làm đc đâu, ^^.
  • 2

#43 icoffshore

icoffshore

    biết vẽ pline

  • Members
  • PipPip
  • 63 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 20 March 2009 - 09:27 AM

[quote name='haanh' date='Mar 18 2009, 16:13' post='52699']

Trên CADVIỆT có tất cả hõn ba chục bài viết về chủ ðề này rồi mất thời gian!


Bác này bần cýời quá, em là thành viên mới mà, sao ðã ðọc hết ðýợc.
Mà link bác ðýa em vẫn chýa trả lời câu hỏi của em. Rõ chán với các bác!
  • 0
Có những lần say rượu té bờ ao
Vợ bắt được chưa đánh roi nào đã khóc
Có cô bé nhà bên nhìn tôi cười khúc khích
Chị giận rồi, tối sang ngủ với em....
http://www.cadviet.c...othed_tiger.jpg
Sống, chiến đấu, học tập, lao động theo gương Bác Hồ vĩ đại!

#44 phisan

phisan

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 24 March 2009 - 08:57 PM

hi! tui là thành viên mới, thấy topic ày hay nên góp vào một bài toán sau: kích thước 60 và 40 phải là số chẵn tuyệt đối.
http://www.cadviet.c...les/dovui_1.dwg.
:cry: , nhanh tay.
phisan
  • 0

#45 phisan

phisan

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 24 March 2009 - 09:01 PM

Đây là 1 file DWG có chứa 1 block bị đóng băng.
Đố ai sửa được block này?
<a href="http://www.cadviet.c...iles/dovui.zip" target="_blank"><a href="http://www.cadviet.c...iles/dovui.zip" target="_blank"><a href="http://www.cadviet.c...iles/dovui.zip" target="_blank">http://www.cadviet.com/upfiles/dovui.zip</a></a></a>
Thử sức nhé!

hi! tui là thành viên mới, thấy topic ày hay nên góp vào một bài toán sau: vẽ hcn, kích thước 60 và 40 phải là số chẵn tuyệt đối.
http://www.cadviet.c...les/dovui_1.dwg.
, nhanh tay.
phisan
  • 0

#46 thanhtranle

thanhtranle

    biết vẽ ellipse

  • Members
  • PipPip
  • 54 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 25 March 2009 - 09:12 PM

Đây là 1 file DWG có chứa 1 block bị đóng băng.
Đố ai sửa được block này?
<a href="http://www.cadviet.c...iles/dovui.zip" target="_blank"><a href="http://www.cadviet.c...iles/dovui.zip" target="_blank"><a href="http://www.cadviet.c...iles/dovui.zip" target="_blank">http://www.cadviet.com/upfiles/dovui.zip</a></a></a>
Thử sức nhé!

sao mình down file xuống mà ko mở được nó báo lỗi như sau
! C:\Documents and Settings\Le Quy Thanh\Desktop\dovui_2.zip: Unexpected end of archive
mình mới tham gia nên cũng muốn thử mà hic!
  • 0

#47 phisan

phisan

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 March 2009 - 10:38 PM

sao mình down file xuống mà ko mở được nó báo lỗi như sau
! C:\Documents and Settings\Le Quy Thanh\Desktop\dovui_2.zip: Unexpected end of archive
mình mới tham gia nên cũng muốn thử mà hic!

[font="Arial Narrow"][/fonmit]down bình thường mà, ?? thử lại đi friend
http://www.cadviet.c...untitled_59.bmp
  • 0

#48 ph168xd

ph168xd

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 779 Bài viết
Điểm đánh giá: 309 (khá)

Đã gửi 21 April 2009 - 04:42 PM

Đố các Bác vẽ đc hình sau chỉ bằng 1 lệnhduy nhất
http://www.cadviet.c..._Model_copy.jpg
  • 0

#49 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 21 April 2009 - 05:21 PM

Đố các Bác vẽ đc hình sau chỉ bằng 1 lệnhduy nhất
http://www.cadviet.c..._Model_copy.jpg

Chào bác ph168xd,
Hì hì, lâu quá mới gặp bác. Nhưng mà chửa hiểu ý bác ạ. Có phải bác muốn vẽ hai cái hình vuông mà có cả mầu đặc trong đó không ạ???
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#50 gp14

gp14

    DO TUAN GIAP

  • Moderator
  • PipPipPipPipPipPipPip
  • 1860 Bài viết
Điểm đánh giá: 1120 (rất tốt)

Đã gửi 21 April 2009 - 05:31 PM

[quote name='ph168xd' date='Apr 21 2009, 16:42' post='56718']
Chẳng thấy hình đâu cả, up file lên đi ph168xd
  • 0

#51 foudremars

foudremars

    biết vẽ arc

  • Members
  • PipPip
  • 44 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 21 April 2009 - 07:17 PM

hi! tui là thành viên mới, thấy topic ày hay nên góp vào một bài toán sau: vẽ hcn, kích thước 60 và 40 phải là số chẵn tuyệt đối.
http://www.cadviet.c...les/dovui_1.dwg.
, nhanh tay.
phisan


Đầu tiên cữ hình chữ nhật (HCN) 60x40.
Vẽ đường tròn cũng tâm với HCN cắt 4 cạnh HCN.
Nối giao điểm và xóa các nét tạm.
Hết!
  • 1

#52 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 21 April 2009 - 07:51 PM

Đầu tiên cữ hình chữ nhật (HCN) 60x40.
Vẽ đường tròn cũng tâm với HCN cắt 4 cạnh HCN.
Nối giao điểm và xóa các nét tạm.
Hết!

Bạn ơi, bài toán này vô số nghiệm bạn ạ,
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#53 binharch77

binharch77

    biết dimcontinue

  • Members
  • PipPipPipPipPip
  • 372 Bài viết
Điểm đánh giá: 163 (tàm tạm)

Đã gửi 21 April 2009 - 09:05 PM

;;;CADALYST 01/07 Tip 2169: XMINSERT.lsp Explode Minsert © 2007 Jeffery P. Sanders

;;;--- XMINSERT - Replace a minsert entity with individual blocks arrayed.
;;;
;;;
;;;
;;;--- This program will delete the XMINSERT entity after an array is created.
;;; It will restore the attribute values contained inside the minsert.
(defun C:XMINSERT()
;;;--- Function to change an attributes value

(defun repAttVal(en tagName newVal)

;;;--- Get the DXF group codes of the entity
(setq enlist(entget en))

;;;--- Get the name of the block
(setq blkName(cdr(assoc 2 enlist)))

;;;--- Check to see if the block's attribute flag is there
(if(cdr(assoc 66 enlist))
(progn

;;;--- Get the entity name
(setq en(entnext en))

;;;--- Get the entity dxf group codes
(setq enlist(entget en))

;;;--- Get the type of block
(setq blkType (cdr(assoc 0 enlist)))

;;;--- If group 66 then there are attributes nested inside this block
(setq group66(cdr(assoc 66 enlist)))

;;;--- Loop while the type is an attribute or a nested attribute exist
(while(or (= blkType "ATTRIB")(= group66 1))

;;;--- Get the block type
(setq blkType (cdr(assoc 0 enlist)))

;;;--- Get the block name
(setq entName (cdr(assoc 2 enlist)))

;;;--- Check to see if this is the first attribute
(if(= blkType "ATTRIB")
(progn

;;;--- Get the attribute tag
(setq attTag(cdr(assoc 2 enlist)))

;;;--- Get the value of the attribute
(setq attVal(cdr(assoc 1 enlist)))

;;;--- If this tag matches our search tag name
(if(= (strcase tagName)(strcase attTag))
(progn

;;;--- Replace the attribute's value
(setq enlist(subst (cons 1 newVal)(assoc 1 enlist)enlist))
(entmod enlist)
(entupd en)
)
)
)
)
;;;--- Get the next sub-entity or nested entity as you will
(setq en(entnext en))

;;;--- Get the dxf group codes of the next sub-entity
(setq enlist(entget en))

;;;--- Get the block type of the next sub-entity
(setq blkType (cdr(assoc 0 enlist)))

;;;--- See if the dxf group code 66 exist. if so, there are more nested attributes
(setq group66(cdr(assoc 66 enlist)))

)
)
)
)
;;;--- Function to return a list of tags and values from attributes in a block

(defun getAttData(en / attList attVal enlist blkType group66)

(setq attList(list))

;;;--- Get the DXF group codes of the entity
(setq enlist(entget en))

;;;--- Check to see if the block's attribute flag is there
(if(cdr(assoc 66 enlist))
(progn

;;;--- Get the entity name
(setq en(entnext en))

;;;--- Get the entity dxf group codes
(setq enlist(entget en))

;;;--- Get the type of block
(setq blkType (cdr(assoc 0 enlist)))

;;;--- If group 66 then there are attributes nested inside this block
(setq group66(cdr(assoc 66 enlist)))

;;;--- Loop while the type is an attribute or a nested attribute exist
(while(or (= blkType "ATTRIB")(= group66 1))

;;;--- Get the block type
(setq blkType (cdr(assoc 0 enlist)))

;;;--- Check to see if this is an attribute
(if(= blkType "ATTRIB")
(progn

;;;--- If this matches your tag name
(setq attTag(cdr(assoc 2 enlist)))

;;;--- Get the value of the attribute
(setq attVal(cdr(assoc 1 enlist)))

(setq attList(append attList (list (list attTag attVal))))
)
)

;;;--- Get the next sub-entity or nested entity as you will
(setq en(entnext en))

;;;--- Get the dxf group codes of the next sub-entity
(setq enlist(entget en))

;;;--- Get the block type of the next sub-entity
(setq blkType (cdr(assoc 0 enlist)))

;;;--- See if the dxf group code 66 exist. if so, there are more nested attributes
(setq group66(cdr(assoc 66 enlist)))

)
)
)
attList
)
;;;--- Main application

(setvar "cmdecho" 0)

;;;--- If the user selects an object
(if(setq ent(entsel "\nSelect MINSERT: "))
(progn

;;;--- If it is an object selected and not an point
(if(setq en(car ent))
(progn

;;;--- Make a copy of the entity name
(setq origEn en)

;;;--- Get the entities dxf group codes
(setq enlist(entget en))

;;;--- Get the data from the minsert
(setq blkName(cdr(assoc 2 enlist)))
(setq layName(cdr(assoc 8 enlist)))
(setq insPt(cdr(assoc 10 enlist)))
(setq cols(cdr(assoc 70 enlist)))
(setq rows(cdr(assoc 71 enlist)))
(setq colWidth(cdr(assoc 44 enlist)))
(setq rowWidth(cdr(assoc 45 enlist)))
(setq xScale(cdr(assoc 41 enlist)))
(setq yScale(cdr(assoc 42 enlist)))
(setq rAngle(cdr(assoc 50 enlist)))

;;;--- If group code 66 exist [ attributes follow flag ]
(if(assoc 66 enlist)

;;;--- Get the group code 66
(setq group66(cdr(assoc 66 enlist)))
)

;;;--- If it equals 1 then attributes follow..so
(if(= group66 1)
(progn

;;;--- Turn off attribute request during insertion
(setq oldAttReq(getvar "attreq"))
(setvar "attreq" 0)

;;;--- Get the attribute tags and values
(setq attList(getAttData en))
)
)

;;;--- Insert the new block
(command "-insert" blkName insPt xScale yScale (angtos rAngle))

;;;--- If it had attributes ...
(if(= group66 1)

;;;--- Reset the attribute request
(setvar "attreq" oldAttReq)
)

;;;--- Get the last entity created...
(if(setq en(entlast))
(progn

;;;--- Get the group codes
(setq enlist(entget en))

;;;--- Get the name of the block
(setq blkName2(cdr(assoc 2 enlist)))

;;;--- If this is the block I just created...
(if(= blkName blkName2)
(progn

;;;--- If it has an attributes flag code...
(if(assoc 66 enlist)
(progn

;;;--- And attributes follow [code 66 = 1]
(if(= (cdr(assoc 66 enlist)) 1)
(progn

;;;--- Replace the attribute values
(foreach a attList
(repAttVal en (car a) (cadr a))
)
)
)
)
)

;;;--- Delete the minsert entity
(entdel origEn)

;;;--- Array the new block to represent the minsert entity
(command "-array" en "" "R" rows cols rowWidth colWidth)

;;;--- Inform the user
(setq str(itoa (* rows cols)))
(alert (strcat "Deleted MINSERT and added (" str ") blocks."))
)
)
)
)
)
)
)
)
(princ)
)

ôi.... cái này hay quá.... file này có thể bị khoá rồi.... các đồng chí làm lại việc rã đồi tượng cái này giùm mình xem....
http://www.cadviet.c...Drawing1_39.dwg
cố lên...
pó tay...
hehhe :cheers:
  • 0

#54 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2884 Bài viết
Điểm đánh giá: 1556 (rất tốt)

Đã gửi 21 April 2009 - 09:23 PM

Bài viết tham khảo

Không explore được block!, mặc dù đã dùng X và XP?!!
http://www.cadviet.c...Block dóng bang
không explore đối tượng block, khi đã bị modify
http://www.cadviet.c...Block dóng bang
Block ko thể explode đuợc!! Giải quyết thế nào đây???, Mặc dù đã cố gắng, nhưng vẫn pó tay
http://www.cadviet.c...Block dóng bang


  • -1

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#55 binharch77

binharch77

    biết dimcontinue

  • Members
  • PipPipPipPipPip
  • 372 Bài viết
Điểm đánh giá: 163 (tàm tạm)

Đã gửi 21 April 2009 - 09:28 PM

Bài viết tham khảo

file này là mình độ chế lại của pác nguyenhoanh đó. bạn xem thử có cách nào rã nó ra không. mình độ xong cũng không rã ra được nữa. hay là máy mình có vấn đề ???
  • 0

#56 ph168xd

ph168xd

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 779 Bài viết
Điểm đánh giá: 309 (khá)

Đã gửi 22 April 2009 - 08:04 AM

Chào bác ph168xd,
Hì hì, lâu quá mới gặp bác. Nhưng mà chửa hiểu ý bác ạ. Có phải bác muốn vẽ hai cái hình vuông mà có cả mầu đặc trong đó không ạ???


Đúng vậy. Vẽ hình trên chỉ bằng 1 lệnh duy nhất...
Bác nào giải đc hôm nào off em bái làm sư phụ.hhee
(Vâng, chào Bác Bình... dạo này em đi công tác xa, nên ít lên diễn đàn đc
Nhớ rượu off quá ròi.....chuẩn bị off thui các bác ơi
  • 0

#57 ph168xd

ph168xd

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 779 Bài viết
Điểm đánh giá: 309 (khá)

Đã gửi 22 April 2009 - 08:08 AM

Bạn ơi, bài toán này vô số nghiệm bạn ạ,



Chính xác, chí ít phải có thêm 1 dữ liệu nữa nếu không bài toán sẽ có vô số nghiệm...
  • 0

#58 ph168xd

ph168xd

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 779 Bài viết
Điểm đánh giá: 309 (khá)

Đã gửi 22 April 2009 - 09:48 AM

Đố các Bác vẽ đc hình sau chỉ bằng 1 lệnhduy nhất
http://www.cadviet.c..._Model_copy.jpg


Ko ai giải đc bải này sao
  • 0

#59 svba1608

svba1608

    Tưởng Thị Tú Khuyên

  • Moderator
  • PipPipPipPipPipPipPip
  • 601 Bài viết
Điểm đánh giá: 620 (tốt)

Đã gửi 22 April 2009 - 11:25 AM

Ko ai giải đc bải này sao


Hình như muốn vẽ hình này chỉ bằng một lệnh thì dùng lệnh Solid. Tuy nhiên, mình thử vẽ mãi vẫn chưa ổn, gặp khó khăn trong việc xác định điểm. Mình đang nghiên cứu tiếp.
  • 1
http://khuyen.space

#60 hanhgl

hanhgl

    biết lệnh rotate

  • Members
  • PipPipPip
  • 133 Bài viết
Điểm đánh giá: 79 (tàm tạm)

Đã gửi 22 April 2009 - 12:14 PM

Hình như muốn vẽ hình này chỉ bằng một lệnh thì dùng lệnh Solid. Tuy nhiên, mình thử vẽ mãi vẫn chưa ổn, gặp khó khăn trong việc xác định điểm. Mình đang nghiên cứu tiếp.

Hình gì bạn ơi? mình mở ra ko thấy cái gì là sao?
  • 0